Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
linked_ptr< T > Class Template Reference

`#include <gtest-linked_ptr.h>`

## Public Types
typedef T | element_type
typedef T | element_type
typedef T | element_type

## Public Member Functions
| linked_ptr (T *ptr=NULL)
| ~linked_ptr ()
template<typename U >
| linked_ptr (linked_ptr< U > const &ptr)
| linked_ptr (linked_ptr const &ptr)
template<typename U >
linked_ptr & | operator= (linked_ptr< U > const &ptr)
linked_ptr & | operator= (linked_ptr const &ptr)
void | reset (T *ptr=NULL)
T * | get () const
T * | operator-> () const
T & | operator* () const
bool | operator== (T *p) const
bool | operator!= (T *p) const
template<typename U >
bool | operator== (linked_ptr< U > const &ptr) const
template<typename U >
bool | operator!= (linked_ptr< U > const &ptr) const
| linked_ptr (T *ptr=NULL)
| ~linked_ptr ()
template<typename U >
| linked_ptr (linked_ptr< U > const &ptr)
| linked_ptr (linked_ptr const &ptr)
template<typename U >
linked_ptr & | operator= (linked_ptr< U > const &ptr)
linked_ptr & | operator= (linked_ptr const &ptr)
void | reset (T *ptr=NULL)
T * | get () const
T * | operator-> () const
T & | operator* () const
bool | operator== (T *p) const
bool | operator!= (T *p) const
template<typename U >
bool | operator== (linked_ptr< U > const &ptr) const
template<typename U >
bool | operator!= (linked_ptr< U > const &ptr) const
| linked_ptr (T *ptr=NULL)
| ~linked_ptr ()
template<typename U >
| linked_ptr (linked_ptr< U > const &ptr)
| linked_ptr (linked_ptr const &ptr)
template<typename U >
linked_ptr & | operator= (linked_ptr< U > const &ptr)
linked_ptr & | operator= (linked_ptr const &ptr)
void | reset (T *ptr=NULL)
T * | get () const
T * | operator-> () const
T & | operator* () const
bool | operator== (T *p) const
bool | operator!= (T *p) const
template<typename U >
bool | operator== (linked_ptr< U > const &ptr) const
template<typename U >
bool | operator!= (linked_ptr< U > const &ptr) const

## Friends
template<typename U >
class | linked_ptr
template<typename U>
class | linked_ptr
template<typename U>
class | linked_ptr

## Member Typedef Documentation

typedef T element_type

typedef T element_type

typedef T element_type

## Constructor & Destructor Documentation

linked_ptr | ( | T * | ptr = `NULL` | ) |
| inline explicit

~linked_ptr | ( |  | ) |
| inline

linked_ptr | ( | linked_ptr< U > const & | ptr | ) |
| inline

linked_ptr | ( | linked_ptr< T > const & | ptr | ) |
| inline

linked_ptr | ( | T * | ptr = `NULL` | ) |
| inline explicit

~linked_ptr | ( |  | ) |
| inline

linked_ptr | ( | linked_ptr< U > const & | ptr | ) |
| inline

linked_ptr | ( | linked_ptr< T > const & | ptr | ) |
| inline

linked_ptr | ( | T * | ptr = `NULL` | ) |
| inline explicit

~linked_ptr | ( |  | ) |
| inline

linked_ptr | ( | linked_ptr< U > const & | ptr | ) |
| inline

linked_ptr | ( | linked_ptr< T > const & | ptr | ) |
| inline

## Member Function Documentation

T* get | ( |  | ) | const
| inline

T* get | ( |  | ) | const
| inline

T* get | ( |  | ) | const
| inline

bool operator!= | ( | T * | p | ) | const
| inline

bool operator!= | ( | T * | p | ) | const
| inline

bool operator!= | ( | linked_ptr< U > const & | ptr | ) | const
| inline

bool operator!= | ( | linked_ptr< U > const & | ptr | ) | const
| inline

bool operator!= | ( | T * | p | ) | const
| inline

bool operator!= | ( | linked_ptr< U > const & | ptr | ) | const
| inline

T& operator* | ( |  | ) | const
| inline

T& operator* | ( |  | ) | const
| inline

T& operator* | ( |  | ) | const
| inline

T* operator-> | ( |  | ) | const
| inline

T* operator-> | ( |  | ) | const
| inline

T* operator-> | ( |  | ) | const
| inline

linked_ptr& operator= | ( | linked_ptr< U > const & | ptr | ) |
| inline

linked_ptr& operator= | ( | linked_ptr< U > const & | ptr | ) |
| inline

linked_ptr& operator= | ( | linked_ptr< T > const & | ptr | ) |
| inline

linked_ptr& operator= | ( | linked_ptr< T > const & | ptr | ) |
| inline

linked_ptr& operator= | ( | linked_ptr< U > const & | ptr | ) |
| inline

linked_ptr& operator= | ( | linked_ptr< T > const & | ptr | ) |
| inline

bool operator== | ( | T * | p | ) | const
| inline

bool operator== | ( | T * | p | ) | const
| inline

bool operator== | ( | linked_ptr< U > const & | ptr | ) | const
| inline

bool operator== | ( | linked_ptr< U > const & | ptr | ) | const
| inline

bool operator== | ( | T * | p | ) | const
| inline

bool operator== | ( | linked_ptr< U > const & | ptr | ) | const
| inline

void reset | ( | T * | ptr = `NULL` | ) |
| inline

void reset | ( | T * | ptr = `NULL` | ) |
| inline

void reset | ( | T * | ptr = `NULL` | ) |
| inline

## Friends And Related Function Documentation

friend class linked_ptr
| friend

class linked_ptr | ( |  | ) |
| friend

class linked_ptr | ( |  | ) |
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-linked_ptr.h
- testing/googleTest/fused-src/gtest/gtest.h